import { CoinspotApiBase } from './coinspotApiBase';
export class AuthenticatedCoinspotApi extends CoinspotApiBase {
    async getStatus() {
        return this.request('/status');
    }
    async getCoinWithdrawalDetails(cointype) {
        return this.request('/my/coin/withdraw/senddetails', { cointype });
    }
    async getCoinDepositAddress(cointype) {
        return this.request('/my/coin/deposit', { cointype });
    }
    async getBuyNowQuote(cointype, amount, amounttype) {
        return this.request('/quote/buy/now', { cointype, amount, amounttype });
    }
    async getSellNowQuote(cointype, amount, amounttype) {
        return this.request('/quote/sell/now', { cointype, amount, amounttype });
    }
    async getSwapNowQuote(cointypesell, cointypebuy, amount) {
        return this.request('/quote/swap/now', { cointypesell, cointypebuy, amount });
    }
    async placeMarketBuyOrder(cointype, amount, rate, markettype) {
        return this.request('/my/buy', { cointype, amount, rate, markettype });
    }
    async editOpenMarketBuyOrder(cointype, id, rate, newrate) {
        return this.request('/my/buy/edit', { cointype, id, rate, newrate });
    }
    async placeBuyNowOrder(cointype, amounttype, amount, options) {
        return this.request('/my/buy/now', { cointype, amounttype, amount, ...options });
    }
    async placeMarketSellOrder(cointype, amount, rate, markettype) {
        return this.request('/my/sell', { cointype, amount, rate, markettype });
    }
    async editOpenMarketSellOrder(cointype, id, rate, newrate) {
        return this.request('/my/sell/edit', { cointype, id, rate, newrate });
    }
    async placeSellNowOrder(cointype, amounttype, amount, options) {
        return this.request('/my/sell/now', { cointype, amounttype, amount, ...options });
    }
    async placeSwapNowOrder(cointypesell, cointypebuy, amount, options) {
        return this.request('/my/swap/now', { cointypesell, cointypebuy, amount, ...options });
    }
    async cancelBuyOrder(id) {
        return this.request('/my/buy/cancel', { id });
    }
    async cancelAllBuyOrders(coin) {
        return this.request('/my/buy/cancel/all', coin ? { coin } : {});
    }
    async cancelSellOrder(id) {
        return this.request('/my/sell/cancel', { id });
    }
    async cancelAllSellOrders(coin) {
        return this.request('/my/sell/cancel/all', coin ? { coin } : {});
    }
}
//# sourceMappingURL=authenticatedApi.js.map