import axios from 'axios';
import crypto from 'crypto';
export class CoinspotApiBase {
    key;
    secret;
    constructor(key, secret) {
        this.key = key;
        this.secret = secret;
    }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    async request(path, data = {}, readOnly = false) {
        const nonce = Date.now();
        const payload = { ...data, nonce };
        const stringPayload = JSON.stringify(payload);
        const signature = crypto
            .createHmac('sha512', this.secret)
            .update(stringPayload)
            .digest('hex');
        const config = {
            method: 'POST',
            url: `https://www.coinspot.com.au/api/v2${readOnly ? '/ro' : ''}${path}`,
            headers: {
                'Content-Type': 'application/json',
                'sign': signature,
                'key': this.key,
            },
            data: stringPayload,
        };
        const response = await axios(config);
        return response.data;
    }
}
//# sourceMappingURL=coinspotApiBase.js.map