import axios from 'axios';
const BASE_URL = 'https://www.coinspot.com.au/pubapi/v2';
export class CoinspotPublicApi {
    async getLatestPrices() {
        const response = await axios.get(`${BASE_URL}/latest`);
        return response.data;
    }
    async getLatestCoinPrice(coin) {
        const response = await axios.get(`${BASE_URL}/latest/${coin}`);
        return response.data;
    }
    async getLatestBuyPrice(coin) {
        const response = await axios.get(`${BASE_URL}/buyprice/${coin}`);
        return response.data;
    }
    async getLatestSellPrice(coin) {
        const response = await axios.get(`${BASE_URL}/sellprice/${coin}`);
        return response.data;
    }
    async getOpenOrders(coin) {
        const response = await axios.get(`${BASE_URL}/orders/open/${coin}`);
        return response.data;
    }
    async getCompletedOrders(coin) {
        const response = await axios.get(`${BASE_URL}/orders/completed/${coin}`);
        return response.data;
    }
}
//# sourceMappingURL=publicApi.js.map